Announcement Announcement Module
Collapse
No announcement yet.
XML Validation Problems - A schema cannot contain two global components with the same Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    I have same problem in eclipse.

    Here is my spring configuration
    Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <beans xmlns="http://www.springframework.org/schema/beans"
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jpa="http://www.springframework.org/schema/data/jpa"
    	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/data/jpa http://www.springframework.org/schema/data/jpa/spring-jpa.xsd">
    
    	<jpa:repositories base-package="my.package" />
    
    </beans>
    And these are the maven dependencies:

    Code:
    	<dependencies>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-web</artifactId>
    			<version>3.2.2.RELEASE</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-orm</artifactId>
    			<version>3.2.2.RELEASE</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-context-support</artifactId>
    			<version>3.2.2.RELEASE</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.data</groupId>
    			<artifactId>spring-data-jpa</artifactId>
    			<version>1.3.0.RELEASE</version>
    		</dependency>
    	</dependencies>
    None of the previous solutions works.
    Can anyone replicate this issue? No code needed.. just the application context file.
    Thank you for your feedback.

    Comment


    • #17
      I have the same error,
      Did you find solution ?

      Comment


      • #18
        Originally posted by ilia.prizker View Post
        I have the same error,
        Did you find solution ?
        No solution yet

        Comment


        • #19
          I find solution for this issue:
          my pom.xml

          <spring.version>3.2.1.RELEASE</spring.version>
          <spring.data.jpa.version>1.3.0.RELEASE</spring.data.jpa.version>

          Code:
          <repository>
              <id>spring-milestone</id>
              <name>Spring Maven MILESTONE Repository</name>
              <url>http://repo.springsource.org/libs-milestone</url>
          </repository>
          in my spring-data-jpa.xml
          Code:
          <?xml version="1.0" encoding="UTF-8"?>
          <beans xmlns="http://www.springframework.org/schema/beans"
                 	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                 	xmlns:p="http://www.springframework.org/schema/p"
                 	xmlns:tx="http://www.springframework.org/schema/tx"
                 	xmlns:context="http://www.springframework.org/schema/context"
                 	xmlns:jdbc="http://www.springframework.org/schema/jdbc"
            		xmlns:jpa="http://www.springframework.org/schema/data/jpa"
                 	xsi:schemaLocation="
          		http://www.springframework.org/schema/beans
          		http://www.springframework.org/schem...ring-beans.xsd
          		http://www.springframework.org/schema/tx
          		http://www.springframework.org/schema/tx/spring-tx.xsd
          		http://www.springframework.org/schema/context
          		http://www.springframework.org/schem...ng-context.xsd
          		http://www.springframework.org/schema/jdbc
          		http://www.springframework.org/schem...pring-jdbc.xsd
              		http://www.springframework.org/schema/data/jpa
             		http://www.springframework.org/schema/data/jpa/spring-jpa-1.1.xsd">
          hope it's work for you !

          Comment


          • #20
            I've had this very problems twice or three times in my current project, that it's a roo multi module year old project. Some projects depend on others, sometimes transitively.

            During this time, I've updated the Spring dependencies whenever I can (that is, almost always)

            But, not all the modules have been updated at the same time, so at the end I've had a mess with the Spring dependencies.

            Once all the modules have the same Spring dependencies, the XML validation problem dissapears.

            I hope it helps.

            Comment


            • #21
              Originally posted by jbbarquero View Post
              I've had this very problems twice or three times in my current project, that it's a roo multi module year old project. Some projects depend on others, sometimes transitively.

              During this time, I've updated the Spring dependencies whenever I can (that is, almost always)

              But, not all the modules have been updated at the same time, so at the end I've had a mess with the Spring dependencies.

              Once all the modules have the same Spring dependencies, the XML validation problem dissapears.

              I hope it helps.
              This issue happens in a new project in a new workspace, with just the configuration I posted before.

              Comment


              • #22
                OK, the problem has arisen again. I've just added a new module and I see again the annoying sch-props-correct.2 error, with no clue of how to fix it.

                I'm using Spring version 3.2.1.RELEASE and Spring Data JPA version 1.3.0.RELEASE, but spring Roo 1.2.2.RELEASE, so the dependencies added by Roo are not up to date.

                Dependency management is a hell, more than ever.

                Comment

                Working...
                X